path: /build/build/desktop-file-utils-dev-util-0.24.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-emacs" emerge dev-util/desktop-file-utils -pv -t && \
    USE="-emacs" emerge -j ${JOBS} --nodeps dev-util/desktop-file-utils
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/desktop-file-utils && luet-portage --dir
    /pkgdir/desktop-file-utils dev-util/desktop-file-utils && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:773c519a98b892217a8403e1ee93a58438d3cc8929aef210bfa011ccf9385de4
  package:
    name: desktop-file-utils
    version: "0.24"
    category: dev-util
    use_flags:
    - -emacs
    requires:
    - name: glib
      version: '>=0'
      category: dev-libs-2
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Command line utilities to work with desktop menu entries
    uri:
    - https://freedesktop.org/wiki/Software/desktop-file-utils
    license: GPL-2+
    buildtimestamp: 2023-08-17 05:59:21.912979586 +0000 UTC m=+58.256232982
    labels:
      DEPEND: '>=dev-libs/glib-2.12:2 emacs? ( virtual/emacs ) app-arch/xz-utils virtual/pkgconfig'
      IUSE: emacs
      RDEPEND: '>=dev-libs/glib-2.12:2 emacs? ( virtual/emacs )'
      emerge.packages: dev-util/desktop-file-utils
      kit: dev-kit
      original.package.name: dev-util/desktop-file-utils
      original.package.slot: "0"
      original.package.version: "0.24"
    treedir: /build/packages
  package_dir: /pkgdir/desktop-file-utils
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: be15e1c6d7c217dda1bcbee7f6be1770abd29120cb943197a8fb528af168c19e
compressiontype: zstd
files:
- usr/bin/desktop-file-edit
- usr/bin/desktop-file-install
- usr/bin/desktop-file-validate
- usr/bin/update-desktop-database
- usr/share/doc/desktop-file-utils-0.24/AUTHORS
- usr/share/doc/desktop-file-utils-0.24/ChangeLog.bz2
- usr/share/doc/desktop-file-utils-0.24/HACKING.bz2
- usr/share/doc/desktop-file-utils-0.24/NEWS.bz2
- usr/share/doc/desktop-file-utils-0.24/README.bz2
- usr/share/man/man1/desktop-file-edit.1.bz2
- usr/share/man/man1/desktop-file-install.1.bz2
- usr/share/man/man1/desktop-file-validate.1.bz2
- usr/share/man/man1/update-desktop-database.1.bz2
- var/db/pkg/dev-util/desktop-file-utils-0.24/BUILD_TIME
- var/db/pkg/dev-util/desktop-file-utils-0.24/CATEGORY
- var/db/pkg/dev-util/desktop-file-utils-0.24/CBUILD
- var/db/pkg/dev-util/desktop-file-utils-0.24/CFLAGS
- var/db/pkg/dev-util/desktop-file-utils-0.24/CHOST
- var/db/pkg/dev-util/desktop-file-utils-0.24/CONTENTS
- var/db/pkg/dev-util/desktop-file-utils-0.24/COUNTER
- var/db/pkg/dev-util/desktop-file-utils-0.24/CXXFLAGS
- var/db/pkg/dev-util/desktop-file-utils-0.24/DEFINED_PHASES
- var/db/pkg/dev-util/desktop-file-utils-0.24/DEPEND
- var/db/pkg/dev-util/desktop-file-utils-0.24/DESCRIPTION
- var/db/pkg/dev-util/desktop-file-utils-0.24/EAPI
- var/db/pkg/dev-util/desktop-file-utils-0.24/FEATURES
- var/db/pkg/dev-util/desktop-file-utils-0.24/HOMEPAGE
- var/db/pkg/dev-util/desktop-file-utils-0.24/INHERITED
- var/db/pkg/dev-util/desktop-file-utils-0.24/IUSE
- var/db/pkg/dev-util/desktop-file-utils-0.24/IUSE_EFFECTIVE
- var/db/pkg/dev-util/desktop-file-utils-0.24/KEYWORDS
- var/db/pkg/dev-util/desktop-file-utils-0.24/LDFLAGS
- var/db/pkg/dev-util/desktop-file-utils-0.24/LICENSE
- var/db/pkg/dev-util/desktop-file-utils-0.24/NEEDED
- var/db/pkg/dev-util/desktop-file-utils-0.24/PF
- var/db/pkg/dev-util/desktop-file-utils-0.24/RDEPEND
- var/db/pkg/dev-util/desktop-file-utils-0.24/REQUIRES
- var/db/pkg/dev-util/desktop-file-utils-0.24/SIZE
- var/db/pkg/dev-util/desktop-file-utils-0.24/SLOT
- var/db/pkg/dev-util/desktop-file-utils-0.24/USE
- var/db/pkg/dev-util/desktop-file-utils-0.24/desktop-file-utils-0.24.ebuild
- var/db/pkg/dev-util/desktop-file-utils-0.24/environment.bz2
- var/db/pkg/dev-util/desktop-file-utils-0.24/repository
package_cacheimage: ""
runtime:
  name: desktop-file-utils
  version: "0.24"
  category: dev-util
  use_flags:
  - -emacs
  requires:
  - name: glib
    version: '>=0'
    category: dev-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Command line utilities to work with desktop menu entries
  uri:
  - https://freedesktop.org/wiki/Software/desktop-file-utils
  license: GPL-2+
  labels:
    DEPEND: '>=dev-libs/glib-2.12:2 emacs? ( virtual/emacs ) app-arch/xz-utils virtual/pkgconfig'
    IUSE: emacs
    RDEPEND: '>=dev-libs/glib-2.12:2 emacs? ( virtual/emacs )'
    emerge.packages: dev-util/desktop-file-utils
    kit: dev-kit
    original.package.name: dev-util/desktop-file-utils
    original.package.slot: "0"
    original.package.version: "0.24"
